import 'package:libac_dart/argparse/Args.dart';

class BoolArgument extends Argument<bool> {
  bool _value = false;
  BoolArgument({required super.name, super.description = ""}) {
    hasValue = false;
    _value = true;
  }

  @override
  ArgumentType getType() {
    return ArgumentType.BOOL;
  }

  @override
  bool getValue() {
    return _value;
  }

  @override
  String toString() {
    return "BooleanArgument{ ${name}=${_value} }";
  }
}
